net.sf.jasperreports.components.iconlabel

## Class IconLabelComponent

- java.lang.Object
- - net.sf.jasperreports.components.iconlabel.IconLabelComponent

- All Implemented Interfaces:
    java.io.Serializable, Component, ContextAwareComponent, JRChangeEventsSupport, JRAlignment, JRBoxContainer, JRStyleContainer

      public class IconLabelComponent
      extends java.lang.Object
      implements ContextAwareComponent, JRBoxContainer, JRAlignment, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: TextInputComponent.java 5922 2013-02-19 11:03:27Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_HORIZONTAL_ALIGNMENT`
    `static java.lang.String` | `PROPERTY_ICON_POSITION`
    `static java.lang.String` | `PROPERTY_LABEL_FILL`
    `static java.lang.String` | `PROPERTY_VERTICAL_ALIGNMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelComponent(IconLabelComponent component, JRBaseObjectFactory objectFactory)`
    `IconLabelComponent(JRDefaultStyleProvider defaultStyleProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentContext` | `getContext()`
    `java.awt.Color` | `getDefaultLineColor()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
    `IconPositionEnum` | `getIconPosition()`
    `JRTextField` | `getIconTextField()`
    `ContainerFillEnum` | `getLabelFill()`
    `JRTextField` | `getLabelTextField()`
    `JRLineBox` | `getLineBox()`
    `HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
    `VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
    `VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
    `void` | `setContext(ComponentContext context)`
    `void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlign)` Sets the text horizontal alignment.
    `void` | `setIconPosition(IconPositionEnum iconPosition)`
    `void` | `setIconTextField(JRTextField iconTextField)`
    `void` | `setLabelFill(ContainerFillEnum labelFill)`
    `void` | `setLabelTextField(JRTextField labelTextField)`
    `void` | `setLineBox(JRLineBox lineBox)`
    `void` | `setVerticalAlignment(VerticalAlignEnum verticalAlign)` Gets the text vertical alignment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ICON_POSITION

          public static final java.lang.String PROPERTY_ICON_POSITION

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_FILL

          public static final java.lang.String PROPERTY_LABEL_FILL

      See Also:
        Constant Field Values

    - #### PROPERTY_HORIZONTAL_ALIGNMENT

          public static final java.lang.String PROPERTY_HORIZONTAL_ALIGNMENT

      See Also:
        Constant Field Values

    - #### PROPERTY_VERTICAL_ALIGNMENT

          public static final java.lang.String PROPERTY_VERTICAL_ALIGNMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IconLabelComponent

          public IconLabelComponent(JRDefaultStyleProvider defaultStyleProvider)

    - #### IconLabelComponent

          public IconLabelComponent(IconLabelComponent component,
                            JRBaseObjectFactory objectFactory)

  - ### Method Detail

    - #### setContext

          public void setContext(ComponentContext context)

      Specified by:
        `setContext` in interface `ContextAwareComponent`

    - #### getContext

          public ComponentContext getContext()

      Specified by:
        `getContext` in interface `ContextAwareComponent`

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### setLineBox

          public void setLineBox(JRLineBox lineBox)

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### getLabelTextField

          public JRTextField getLabelTextField()

    - #### setLabelTextField

          public void setLabelTextField(JRTextField labelTextField)

    - #### getIconTextField

          public JRTextField getIconTextField()

    - #### setIconTextField

          public void setIconTextField(JRTextField iconTextField)

    - #### getIconPosition

          public IconPositionEnum getIconPosition()

    - #### setIconPosition

          public void setIconPosition(IconPositionEnum iconPosition)

    - #### getHorizontalAlignmentValue

          public HorizontalAlignEnum getHorizontalAlignmentValue()

      Description copied from interface: `JRAlignment`
      Gets the text horizontal alignment.
      Specified by:
        `getHorizontalAlignmentValue` in interface `JRAlignment`
      Returns:
        a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getOwnHorizontalAlignmentValue

          public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

      Specified by:
        `getOwnHorizontalAlignmentValue` in interface `JRAlignment`

    - #### setHorizontalAlignment

          public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlign)

      Description copied from interface: `JRAlignment`
      Sets the text horizontal alignment.
      Specified by:
        `setHorizontalAlignment` in interface `JRAlignment`
      Parameters:
        `horizontalAlign` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getVerticalAlignmentValue

          public VerticalAlignEnum getVerticalAlignmentValue()

      Description copied from interface: `JRAlignment`
      Gets the text vertical alignment.
      Specified by:
        `getVerticalAlignmentValue` in interface `JRAlignment`
      Returns:
        a value representing one of the vertical alignment constants in `VerticalAlignEnum`

    - #### getOwnVerticalAlignmentValue

          public VerticalAlignEnum getOwnVerticalAlignmentValue()

      Specified by:
        `getOwnVerticalAlignmentValue` in interface `JRAlignment`

    - #### setVerticalAlignment

          public void setVerticalAlignment(VerticalAlignEnum verticalAlign)

      Description copied from interface: `JRAlignment`
      Gets the text vertical alignment.
      Specified by:
        `setVerticalAlignment` in interface `JRAlignment`
      Parameters:
        `verticalAlign` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

    - #### getLabelFill

          public ContainerFillEnum getLabelFill()

    - #### setLabelFill

          public void setLabelFill(ContainerFillEnum labelFill)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com